Name:           python3-pycparser
Summary:        C parser and AST generator written in Python
Version:        2.14
Release:        1%{?dist}
License:        BSD
URL:            http://github.com/eliben/pycparser
Source0:        http://github.com/eliben/pycparser/archive/release_v%{version}.tar.gz
Source1:        pycparser-0.91.1-remove-relative-sys-path.py

Patch100:       pycparser-2.10-ply.patch
# This is Fedora-specific; I don't think we should request upstream to
# remove embedded libraries from their distribuution, when we can remove
# them during packaging.

BuildArch:      noarch

%description
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.


%package -n python%{python3_pkgversion}-pycparser
Summary:        C parser and AST generator written in Python
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
# for unit tests
BuildRequires:  python%{python3_pkgversion}-ply       

Requires:       python%{python3_pkgversion}-ply
%{?python_provide:%python_provide python%{python3_pkgversion}-pycparser}

%description -n python%{python3_pkgversion}-pycparser
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.


%prep
%setup -q -n pycparser-release_v%{version}
%patch100 -p1 -F5 -b .ply

# remove embedded copy of ply
rm -rf pycparser/ply

# examples
%{__python3} %{SOURCE1} examples
sed -i -e 's/\r//g' LICENSE

%build
%py3_build
pushd build/lib/pycparser
%{__python3} _build_tables.py
popd

%install
%py3_install

%check
%{__python3} tests/all_tests.py 
 
%files -n python%{python3_pkgversion}-pycparser
%license LICENSE
%{python3_sitelib}/pycparser/
%{python3_sitelib}/pycparser-*.egg-info

%changelog
* Fri Jan 6 2017 Orion Poplawski <orion@cora.nwra.com> - 2.14-1
- Initial EPEL version
